http://www.rencorp.net
 Identification
Menu

Sécurité Debian



* eAccelerator fait des siennes
Posté 29 Mai 2007 - 19:17
Envoyer cet article à quelqu'un Envoyer ceci par mail à un ami  Format imprimable Imprimer cette nouvelle



Linux L'accès au serveur http de Gorgoyle a dû vous sembler très problématique aujourd'hui, non ? En effet l'erreur d'aujourd'hui était inédite : suite à la mise à jour Debian d'hier soir, Apache refusait de se lancer en indiquant make sock: could not bind to address [::]:80. Un netstat -lnp | grep '0.0.0.0:80' indiquait qu'un process (en l'occurrence Portsentry) écoutait sur le port 80 et empêchait Apache de se lancer. Malgré l'arrêt de Portsentry le serveur http ne se lançait pas et ceci sans message d'erreur apparent. Il a fallu que nous jetions un oeil dans le error.log d'Apache pour lire ceci PHP Warning: [eAccelerator] This build of "eAccelerator" was compiled for PHP version 4.4.4-9. Rebuild it for your PHP version (4.4.4-9+lenny1) or download precompiled binaries. L'erreur parlait pourtant d'elle-même : eAccelerator avait compilé avec la version 4.4.4-9 de PHP et la mise à jour d'hier soir l'avait passé à la version 4.4.4-9+lenny1. S'en est suivi une recompilation d'eAccelerator et une réactivation du module...


 
Web site powered by Debian GNU/Linux Web site powered by Zend Optimiser Get Firefox!
Web site powered by eAcceleratorMail Server protected by SpamhausMail Server protected by Spamhaus
All logos and trademarks in this site are property of their respective owner. The comments are property of their posters.
All the rest is "copyleft" 2011 by our .
This web site was made with PostNuke, a web portal system written in PHP.
PostNuke is Free Software released under the GNU/GPL license.

diabolic diabolic